E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

GNet::LineBuffer Member List

This is the complete list of members for GNet::LineBuffer, including all inherited members.

add(const std::string &data) | GNet::LineBuffer |
add(const char *data, size_t size) | GNet::LineBuffer |
apply(const char *data, size_t data_size, Tsink sink) | GNet::LineBuffer |
apply(const char *data, size_t size, T sink) (defined in GNet::LineBuffer) | GNet::LineBuffer |
eol() const | GNet::LineBuffer |
eolSize() const | GNet::LineBuffer |
expect(size_t n) | GNet::LineBuffer |
LineBuffer(LineBufferConfig) | GNet::LineBuffer | explicit
lineData() const | GNet::LineBuffer |
lineSize() const | GNet::LineBuffer |
more() | GNet::LineBuffer |